#### Previous topic

scipy.linalg.interpolative.estimate_spectral_norm

#### Next topic

scipy.linalg.interpolative.estimate_rank

# scipy.linalg.interpolative.estimate_spectral_norm_diff

`scipy.linalg.interpolative.``estimate_spectral_norm_diff`(A, B, its=20)

  Estimate spectral norm of the difference of two matrices by the randomized power method.

  Parameters:

  A : `scipy.sparse.linalg.LinearOperator`

  > First matrix given as a `scipy.sparse.linalg.LinearOperator` with the matvec and rmatvec methods (to apply the matrix and its adjoint).

  B : `scipy.sparse.linalg.LinearOperator`

  > Second matrix given as a `scipy.sparse.linalg.LinearOperator` with the matvec and rmatvec methods (to apply the matrix and its adjoint).

  its : int, optional

  > Number of power method iterations.

  Returns:

  float

  > Spectral norm estimate of matrix difference.